Fork me on GitHub"

# skbio.alignment.TabularMSA.__deepcopy__

TabularMSA.__deepcopy__(memo)

  Return a deep copy of this MSA.

  State: Experimental as of 0.4.1.

  Returns

    Deep copy of this MSA. Sequence objects will be deep-copied.

  Return type

    TabularMSA

  See also

  `__copy__`

  Examples

      >>> import copy
      >>> from skbio import DNA, TabularMSA
      >>> msa = TabularMSA([DNA('ACG'), DNA('AC-')])
      >>> msa_copy = copy.deepcopy(msa)
      >>> msa_copy == msa
      True
      >>> msa_copy is msa
      False